Skip to main content
GET
Get a SQL execution's plan

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

app
string
required

The application id (or its log name, with the attempt).

Required string length: 1 - 255
Pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
execution_id
integer
required
Required range: x >= 0

Response

Successful Response

One SQL execution with its final physical plan and node metrics.

id
integer
required
description
string
default:""
duration_ms
integer
default:0
status
string
default:""
error
string
default:""
job_ids
integer[]
adaptive_updates
integer
default:0
plan
string
default:""
nodes
Nodes · object[]
operators
string[]